/*
Theme Name: Child Theme
Description: A <a href='http://codex.wordpress.org/Child_Themes'>Child Theme</a> for the Enfold Wordpress Theme. If you plan to do a lot of file modifications we recommend to use this Theme instead of the original Theme. Updating wil be much easier then.
Version: 1.0
Author: Kriesi
Author URI: http://www.kriesi.at
Template: enfold
*/

/*Add your own styles here:*/

/* --------- Common Header Settings -------------*/

/*Set break point for burger menu -----
@media only screen and (max-width: 1206px) {
	.av-main-nav > li.menu-item-avia-special {
    	display: block;
	}
	.av-main-nav > li {
    	display: none;
	}
}
*/

/* Set logo and menu area to full width 
#header #header_main .container {
    width: 100%;
    max-width: none;
}
*/

/* Set top bar area to full width
#header_meta .container{
	width: 100%; 
	max-width: none;
}
*/

/* Adjust top bar menu setting 
#header_meta .sub_menu {
	font-size:18px;
}
*/

/* Adjust top bar container 
#header_meta {
	padding: 6px 0px; 
}
*/

/* Adjust settings for top bar text */
.phone-info {
  font-size: 18px !important;
}

/* Social media icons */
/*.social_bookmarks_facebook a{
 * color:#f0b51c !important;
 * }

.social_bookmarks_instagram svg path {
  fill: #fff; 
}
*/

/* All buttons on site */
.csem-btn a { padding: 10px 20px !important; font-size: 18px !important; font-weight: 700 !important; letter-spacing: 1px !important; border: none !important; border-radius: 25px !important; }
@media only screen and (max-width: 762px) {
  .csem-btn { display: grid; justify-items: center; margin-bottom: 10px; }
}

/* Dark Buttons */
.csem-btn-dark a { background-color: #BB1829 !important; color: #fff !important; }
.csem-btn-dark a:hover { background-color: #BB1829 !important; }

/* Light Buttons */
.csem-btn-light a { background-color: #BE1E2D !important; color: #fff !important; }
.csem-btn-light a:hover { background-color: #BE1E2D !important; }

/*Page Sections */

/* Hero Header */ 
.csem-hero-container-padding { padding-top: 25px; padding-bottom: 200px;  } 
/* Inner Header */ 
.csem-inner-header { padding-top: 0px !important; padding-bottom:0px !important; background-color:#c01e2e; } 
.csem-inner-header h1 { text-transform: uppercase !important; color: #ffffff !important; font-weight: 400; } 

.csem-inner-header .content {padding-top: 40px; padding-bottom: 40px;}


/* Boddy Content */ 
.csem-body-container-padding { padding-top: 35px; padding-bottom: 35px; }

/*Adjust vertical alignment of logo when set to sticky header 
div .logo {top: 20px; }

.header-scrolled div .logo {top: 0px; }
*/

/*
.html_header_transparency #top .avia-builder-el-0 .container{padding-top: 0px !important;}
*/

/* |---------- Common Custom CSS ---------------| */

/*
 * Use for large none heading fonts. Usually in header
 * Add the class "csem-hero" to a paragraph text
 * Or use: <p class="csem-hero">Text</p>
 */

/*-------------------- Updated Dev Styling --------------------------------------*/

/* Change the highlight background and text color */
::-moz-selection {background: #FFEFAB; color:#044137;}
::selection {background: #FFEFAB; color:#044137;}

h1, h2, h3, h4, h5, h6 {font-weight:400;}

/* Typography - Font Sizes */ 
h1 { font-size: 75px; } 
h2 { font-size: 60px; } 
h3 { font-size: 40px; } 
h4 { font-size: 23px; } 
h5 { font-size: 18px; } 

/* Colors and Body Text */ 
body { color: #06173C;}
 
/* Hyperlinks */ 
a { text-decoration: none; transition: color 0.3s ease, font-weight 0.3s ease; } 
a:hover {  color: #C01E2E; } 

/* Text Highlight (Selection or Highlight Tag) */ 
::selection { background-color: #F2F2F2; color: #000000; 
	
/* Ensuring readability on yellow */ } 
.highlight { background-color: #F2F2F2; }

a{}
a:hover{}

.csem-footer-color-sect{}
.csem-footer-color-sect a{}
.csem-footer-color-sect a:hover{}
.csem-f-col-1{}
.csem-f-col-2{}
.csem-f-col-3{}
.csem-f-col-4{}
.csem-f-col-5{}


.csem-hero {
  font-size: var(--fs-xl);
  text-shadow: var(--fw-bolder);
  text-transform: uppercase;
  font-family: var(--ff-body);
  line-height: 1em;
  margin-bottom: 20px;
  margin-top: 0px;
  font-weight: bolder;
}

.csem-fs-lg {
  font-size: var(--fs-lg);
  margin: 0px;
  line-height: 1em;
  display: inline-block;
}
.csem-fs-lg p {
  overflow: hidden;
  white-space: nowrap;
  margin: 0px;
  padding-bottom: 3px;
  animation: typing 2s steps(35), blinking 0.5s steps(1) infinite;
  animation-delay: 1s;
  animation-fill-mode: backwards;
}

/*
 * Enfold Social icons
 * Applies styles for footer icons in functions.php
 * Ues: Place widget anywhere you'd like social icons set in Enfold to be displayed
 */

#top .socialbookmarks-widget .social_bookmarks {
  float: left;
  margin: 15px 0 0;
  position: relative;
}

#top .socialbookmarks-widget .social_bookmarks li {
  float: left;
  clear: right !important;
}

/* ------------------------------------------------------------------------------------------- */

#csem-top-bar {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  width: max-content;
}
#csem-top-bar div {
  margin-right: 10px;
}
@media only screen and (max-width: 762px) {
  #csem-top-bar {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    width: max-content;
  }
}

#csem-footer-icons {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  width: max-content;
  margin: auto;
  font-size: 18px;
  color: #444;
}
#csem-footer-icons div {
  margin-right: 5px;
}
#csem-footer-icons a {
  color: #444;
}

/* Gravity Forms input and placeholder color settings */
input[type="text"],
input[type="tel"],
input[type="email"],
textarea {
  color: #000 !important;
}
body .gform_wrapper ::placeholder,
body .gform_wrapper ::-webkit-input-placeholder,
body .gform_wrapper input[placeholder],
body .gform_wrapper select {
  color: #717171 !important;
  opacity: 1;
}


h1, h2, h3, h4, h5, h6 {font-weight:400;}

h1{font-size:75px;}
h2{font-size:50px;}
h3{font-size:35px;}
h4{font-size:28px;}
h5{font-size:23px;}



.av-special-heading-tag {font-family: 'oswald', Helvetica, Arial, sans-serif;}
.slide-entry{ height: auto; box-shadow: 0px 0px 10px #00000059; padding: 7px; border-radius: 10px; min-height: 435px !important;}
.slide-image { height: 238px; }
.slide-image img{width: -webkit-fill-available; height: -webkit-fill-available;}
.slide-meta-time{display:none !important;}
.slide-content{ padding: 10px; }
.slide-entry-wrap{ padding: 0px 23px; }
.avia-content-slider-inner{padding-top: 20px; }
.slide-entry-title{ border-bottom: solid 2px #c01e2e !important; padding-bottom: 7px !important; color: #c01e2e !important; }

.cem-svc-last-cta{background-color:#c01e2e; }
.cem-svc-last-cta-card{border-radius:30px; padding:30px; background-color:#fff; box-shadow: 0px 0px 11px #0000004a;}

.csem-service-blue{background-color:#25387b; color:#fff !important;}
.csem-service-blue h2, .csem-service-blue h3, .csem-service-blue h4 {color:#fff !important;}
.csem-faq-card{border-radius:30px; padding:30px; background-color:#fff;}


.csem-hm-5-col h3{ color: #fff; border-bottom: solid 2px #be1e2d; padding-bottom: 10px; color:#fff !important;}
.csem-hm-5-col{color:#fff;}
.csem-hm-svc-sect h2, .csem-hm-svc-sect{color:#fff !important;}
.csem-hm-4-col{background-color:#F4F4F4; border: solid 6px #fff; box-shadow: 0px 0px 19px #00000029; padding:15px;}
.csem-hm-proj-col{}
.csem-hm-proj-col h3, .csem-hm-proj-col{ color: #fff !important;}
.csem-hm-grid-left{padding: 110px 60px 110px 290px;}
.csem-foot-soci a{background-color:#BE1E2D !important; border-color:#BE1E2D !important;}

.toggle_icon, .vert_icon, .hor_icon{border-color:#25387b !important;} 
#header_meta .container {padding: 10px 0px; }
.avia-section.av-mq4hiyb6-abecad3e1e94b51e58660f0f242d5d0d .av-section-color-overlay {
    opacity: 0 !important;
    background-color: #ffffff;
}

.slide-image{ max-height: 175px; }

@media only screen and (max-width: 1550px) { 
	h1, h2, h3, h4, h5, h6 {}

	h1{}
	h2{}
	h3{}
	h4{}
	h5{}
}

@media only screen and (max-width: 1185px) { 
	h1, h2, h3, h4, h5, h6 {}

	h1{}
	h2{}
	h3{}
	h4{}
	h5{}
	.avia-section.av-mq4hiyb6-abecad3e1e94b51e58660f0f242d5d0d .av-section-color-overlay {
    opacity: 0.5 !important;
    background-color: #ffffff;
}
	.csem-btn{margin-bottom: 30px !important;}
}
		
@media only screen and (max-width: 472px) {
	h1, h2, h3, h4, h5, h6 {}

	h1{ font-size: 45px; }
	h2{}
	h3{}
	h4{}
	h5{}
	.avia-section.av-mq4hiyb6-abecad3e1e94b51e58660f0f242d5d0d .av-section-color-overlay {
    opacity: 0.5 !important;
    background-color: #ffffff;
}
	.csem-btn{margin-bottom: 30px !important;}
}




/* --- ENFOLD RESPONSIVE OVERRIDES --- */

@media only screen and (max-width: 1200px) {
    
    /* 1. Fix for standard Columns / Equal Height Columns */
    .responsive #top #main .flex_column_table,
    .responsive #top #main .flex_column_table_cell {
        display: block !important;
        width: 100% !important;
        margin-left: 0 !important;
        margin-bottom: -1px !important;
    }

    /* 2. Fix for Grid Rows (The Boat Image & Entrees section) */
    .responsive #top #main .av-layout-grid-container {
        display: block !important;
    }

    .responsive #top #main .av-layout-grid-container .flex_cell {
        display: block !important;
        width: 100% !important;
        margin-left: 0 !important;
    }

    /* 3. Ensure the Background Image Cell is visible */
    .responsive #top #wrap_all .flex_cell.av-moww4s-b7b492ed4d7c191b667f49b6004567e2 {
        min-height: 300px !important;
        padding: 0 !important;
    }
    
    /* 4. Adjust internal padding so text isn't touching edges */
    .responsive #top #main .flex_cell_inner {
        padding: 40px 20px !important;
    }
	
	.responsive #top #main .flex_cell.csem-footer-divide .flex_cell_inner {
    padding: 0 !important;
}
}

.cs-sub-menu{background-color: #f6f6f6 !important;}
.cs-sub-menu a{background-color: #f6f6f6 !important;}
.cs-sub-menu .menu-item{font-size: 16px !important; }
	
.cs-expect-ico .iconbox_icon.avia-svg-icon svg:first-child {height: 2em !important; width: 2em !important; border-right: solid 2px #C33341; padding-right: 9px;}
.cs-expect-ico .iconbox_icon{height: 50px !important;    width: 100px !important;}
	
.csem-hm-form-cont{}